<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 文字セット</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>文字セット<br/>
<small>
[<a class="el" href="group__m17nShell.html">シェル API</a>]</small>
</h1>
<p>文字セットオブジェクトとそれに関する API.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>マクロ定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaed3feae2f280e7413725a5090175591a">MCHAR_INVALID_CODE</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">無効なコードポイント.  <a href="#gaed3feae2f280e7413725a5090175591a"></a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30">mchar_define_charset</a> (const char *name, <a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *plist)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字セットを定義する.  <a href="#gaadbf43a8bb53d9056dd10a64e8424e30"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaf8f077d7d45aaf0a68a3b638c24043fc">mchar_resolve_charset</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> symbol)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字セット名を解決する.  <a href="#gaf8f077d7d45aaf0a68a3b638c24043fc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga9ffc490ec2ef0fb0509f09d161de6b85">mchar_list_charset</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> **symbols)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字セットを表わすシンボルを列挙する.  <a href="#ga9ffc490ec2ef0fb0509f09d161de6b85"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gac1a030a59290d16200818056943e93cd">mchar_decode</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset_name, unsigned code)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">コードポイントをデコードする.  <a href="#gac1a030a59290d16200818056943e93cd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gae199b17a440f6e1d669e60a77df87e6a">mchar_encode</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset_name, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">文字コードをエンコードする.  <a href="#gae199b17a440f6e1d669e60a77df87e6a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gad218c3916b17c1f42769e2316a6aa557">mchar_map_charset</a> (<a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> charset_name, void(*func)(int from, int to, void *arg), void *func_arg)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">指定した文字セットのすべての文字に対して関数を呼ぶ.  <a href="#gad218c3916b17c1f42769e2316a6aa557"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga45426542709f174689a06ce7c34a37de">Mcharset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">シンボル <code>Mcharset</code>.  <a href="#ga45426542709f174689a06ce7c34a37de"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数: 文字セットを表現する定義済みシンボル.</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrp89925b935939e839cb05a4723247e1fa"></a> 以下の各シンボルは、定義済み文字セットを表現する。 </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga01281aed6d1604db0c98ac17c64b22e3">Mcharset_ascii</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ASCII 文字セットを表現するシンボル.  <a href="#ga01281aed6d1604db0c98ac17c64b22e3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga9f7fa705b5a9329979b6f7dba5b33fef">Mcharset_iso_8859_1</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ISO/IEC 8859-1:1998 文字セットを表現するシンボル.  <a href="#ga9f7fa705b5a9329979b6f7dba5b33fef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga9a9826645fbd6d8cbc8dade0a05d93ca">Mcharset_unicode</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unicode 文字セットを表現するシンボル.  <a href="#ga9a9826645fbd6d8cbc8dade0a05d93ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gae9d2842894a69850db2bfba1e7003938">Mcharset_m17n</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">全文字を含む文字セットを表現するシンボル.  <a href="#gae9d2842894a69850db2bfba1e7003938"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaada84095266aedae3aed95ae942c47a0">Mcharset_binary</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">正しくデコードできない文字の文字セットを表現するシンボル.  <a href="#gaada84095266aedae3aed95ae942c47a0"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数: mchar_define_charset 用のパラメータ・キー</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrp66d99ef7294cb87a1d65ab3b496f9cbd"></a> これらは、関数 <a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30" title="文字セットを定義する.">mchar_define_charset()</a> 用のパラメータ・キーとして使われるシンボルである。 詳しくはこの関数の解説を参照のこと。 </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gae4f12e8c6f7383fc7c05388185ad7795">Mmethod</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga26a7745dfcd4b7e75ba08b006a94205b">Mdimension</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga290793cbf5b9e6aa96cce8e12e01af29">Mmin_range</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gad01176e5eeb7ee45fc3b144aa0393ccd">Mmax_range</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga002a4010b574d5b09e33281634c2b058">Mmin_code</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga71d715404e85831b2be9c1bb4044d1c7">Mmax_code</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga7c88134db9c464946410a44ae32969c5">Mascii_compatible</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga6fe1a313c304442d884f1dcefad262f0">Mfinal_byte</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaa971af170d28beb8e9ffca53e03f2233">Mrevision</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gac519cab6fd5381b289b54f9bc3f5614f">Mmin_char</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gac7f334207f0907557e1805f327be2c0a">Mmapfile</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gab8f3c2a0d58caa179931151fa64e5eb0">Mparents</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gafcc44fe2009682c71b47f6157f07b85c">Msubset_offset</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gad98a8b772b9e851ae2920c5d7ed7c706">Mdefine_coding</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga150e01319257d2b8e82952baf4fbb16d">Maliases</a></td></tr>
<tr><td colspan="2"><h2>変数: 文字セットのメソッド指定に使われるシンボル</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrpb752f9421bf9d4bb8736292addb266f0"></a> これらは、文字セットの <em>メソッド</em> を指定するための定義済みシンボルであり、文字セットの <b>Mmethod</b> パラメータの値となることができる。 この値は関数 <a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30" title="文字セットを定義する.">mchar_define_charset()</a> の引数として使われる。</p>
<p>メソッドとは、コードポイントと文字コードを相互変換する際の方式のことである。 詳しくは関数 <a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30" title="文字セットを定義する.">mchar_define_charset()</a> の解説を参照のこと。 </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#ga7a86139a02caa1fba4cc46985b76c71b">Moffset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">オフセット型のメソッドを示すシンボル.  <a href="#ga7a86139a02caa1fba4cc46985b76c71b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaa774b1759de6142d26ffe8d5898c3874">Mmap</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">マップ型のメソッドを示すシンボル.  <a href="#gaa774b1759de6142d26ffe8d5898c3874"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gadd42d3be420b71333a771b05e4e5b6eb">Munify</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ユニファイ型のメソッドを示すシンボル.  <a href="#gadd42d3be420b71333a771b05e4e5b6eb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gaf9a6baf718f22984b5c5332afff0da90">Msubset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">サブセット型のメソッドを示すシンボル.  <a href="#gaf9a6baf718f22984b5c5332afff0da90"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nCharset.html#gadb08660f5913095d985cfbbd1a51b0bb">Msuperset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">スーパーセット型のメソッドを示すシンボル.  <a href="#gadb08660f5913095d985cfbbd1a51b0bb"></a><br/></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>文字セットオブジェクトとそれに関する API. </p>
<p>m17n ライブラリは、符号化文字集合 (CCS) を <em>文字セット</em> と呼ぶオブジェクトで表現する。 m17n ライブラリは多くの符号化文字集合をあらかじめサポートしているし、アプリケーションプログラムが独自に文字セットを追加することも可能である。 一つの文字は複数の文字セットに属してもよい。</p>
<p>m17n ライブラリは、以下の概念を区別している:</p>
<ul>
<li><em>コードポイント</em> とは、CCS がその中の個々の文字に対して定義する数値である。 コードポイントは連続しているとは限らない。コードポイントは <code>unsigned</code> 型によって表される。無効なコードポイントはマクロ <code>MCHAR_INVALID_CODE</code> で表される。</li>
</ul>
<ul>
<li><em>文字インデックス</em> とは、CCS 内で各文字に割り当てられる正規化されたインデックスである。 文字インデックスが N の文字は、CCS 中の全文字をコードポイント順に並べたときに N 番目に現われる。 CCS 中の文字インデックスは連続しており、0 から始まる。</li>
</ul>
<ul>
<li><em>文字コード</em> とは、m17n ライブラリ内における文字の内部表現であり、21 ビット以上の長さを持つ符合付き整数である。</li>
</ul>
<p>各文字セットオブジェクトは、その文字セットに属する文字のコードポイントと文字コードとの間の変換を規定する。 コードポイントから文字コードへの変換を <em>デコード</em> と呼び、文字コードからコードポイントへの変換を <em>エンコード</em> と呼ぶ。 </p>
<hr/><h2>マクロ定義</h2>
<a class="anchor" id="gaed3feae2f280e7413725a5090175591a"></a><!-- doxytag: member="charset.c::MCHAR_INVALID_CODE" ref="gaed3feae2f280e7413725a5090175591a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MCHAR_INVALID_CODE</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>無効なコードポイント. </p>
<p>マクロ <a class="el" href="group__m17nCharset.html#gaed3feae2f280e7413725a5090175591a" title="無効なコードポイント.">MCHAR_INVALID_CODE</a> は無効なコードポイントを示す。 </p>

</div>
</div>
<hr/><h2>関数</h2>
<a class="anchor" id="gaadbf43a8bb53d9056dd10a64e8424e30"></a><!-- doxytag: member="charset.c::mchar_define_charset" ref="gaadbf43a8bb53d9056dd10a64e8424e30" args="(const char *name, MPlist *plist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mchar_define_charset </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nPlist.html#gac8b2ac3c9a8f0a6afb7f189b694035e2">MPlist</a> *&nbsp;</td>
          <td class="paramname"> <em>plist</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>文字セットを定義する. </p>
<p>関数 <a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30" title="文字セットを定義する.">mchar_define_charset()</a> は新しい文字セットを定義し、それを <b>name</b> という名前を持つシンボル経由でアクセスできるようにする。 <b>plist</b> は定義される文字セットのパラメータを以下のように指定する。</p>
<ul>
<li>
<p class="startli">キーが <b>Mmethod</b> で値がシンボルの時</p>
<p>値は、<a class="el" href="group__m17nCharset.html#ga7a86139a02caa1fba4cc46985b76c71b" title="オフセット型のメソッドを示すシンボル.">Moffset</a>, <a class="el" href="group__m17nCharset.html#gaa774b1759de6142d26ffe8d5898c3874" title="マップ型のメソッドを示すシンボル.">Mmap</a> (デフォルト値), <a class="el" href="group__m17nCharset.html#gadd42d3be420b71333a771b05e4e5b6eb" title="ユニファイ型のメソッドを示すシンボル.">Munify</a>, <a class="el" href="group__m17nCharset.html#gaf9a6baf718f22984b5c5332afff0da90" title="サブセット型のメソッドを示すシンボル.">Msubset</a>, <a class="el" href="group__m17nCharset.html#gadb08660f5913095d985cfbbd1a51b0bb" title="スーパーセット型のメソッドを示すシンボル.">Msuperset</a> のいずれかであり、文字セットのコードポイントをデコード／エンコードする際のメソッドを指定する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">キーが <b>Mdimension</b> で値が整数値の時</p>
<p>値は、1 (デフォルト値), 2, 3, 4 のいずれかであり、文字セットのコードポイントの次元である。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">キーが <b>Mmin_range</b> で値が非負整数値の時</p>
<p>値はコードポイントの最小の値である。すなわち、この値の N 番目のバイトはこの文字セットのコードポイントの N 番目のバイトの最小のものとなる。 デフォルト値は 0 。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">キーが <b>Mmax_range</b> で値が非負整数値の時</p>
<p>値はコードポイントの最大の値である。すなわち、この値の N 番目のバイトはこの文字セットのコードポイントの N 番目のバイトの最大のものとなる。 デフォルト値は、コードポイントの次元が 1, 2, 3, 4 の時、それぞれ 0xFF, 0xFFFF, 0xFFFFFF, 0xFFFFFFFF 。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">キーが <b>Mmin_code</b> で値が非負整数値の時</p>
<p>値はこの文字セットの最小のコードポイントである。デフォルト値は <b>Mmin_range</b> の値。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">キーが <b>Mmax_code</b> で値が非負整数値の時</p>
<p>値はこの文字セットの最大のコードポイントである。デフォルト値は <b>Mmax_range</b> の値。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">キーが <b>Mascii_compatible</b> で値がシンボルの時</p>
<p>値はこの文字セットが ASCII 互換であるかどうかを示す。デフォルト値の <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> であれば互換ではなく、それ以外の場合は互換である。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">キーが <b>Mfinal_byte</b> で値が整数値の時</p>
<p>値はこの文字セットの The International Registry に登録されている <em>終端バイト</em> であり、0 (デフォルト値) であるか 32..127 である。0 は登録されていないことを意味する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">キーが <b>Mrevision</b> で値が整数値の時</p>
<p>値は The International Registry に登録されている <em>revision</em> <em>number</em> であり、0..127 である。 文字セットが登録されていない場合にはこの値は無視される。 0 は revision number が存在しないことを意味する。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">キーが <b>Mmin_char</b> で値が整数値の時</p>
<p>値はこの文字セットの最小の文字コードである。デフォルト値は 0 。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">キーが <b>Mmapfile</b> で値が M-text の時</p>
<p>メソッドが <a class="el" href="group__m17nCharset.html#gaa774b1759de6142d26ffe8d5898c3874" title="マップ型のメソッドを示すシンボル.">Mmap</a> か <a class="el" href="group__m17nCharset.html#gadd42d3be420b71333a771b05e4e5b6eb" title="ユニファイ型のメソッドを示すシンボル.">Munify</a> の時、関数 <a class="el" href="group__m17nDatabase.html#ga265cfa2587dfda9bdc84f7afd1aabb1d" title="m17n データベースのデータを定義する.">mdatabase_define()</a> をこの値を引数 <b>extra_info</b> として呼ぶことによって、マッピングに関するデータが m17n データベースに追加される。 すなわち、この値はデータファイルの名前である。</p>
<p>そうでなければ、このパラメータは無視される。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">キーが <b>Mparents</b> で値が plist の時</p>
<p>メソッドが <a class="el" href="group__m17nCharset.html#gaf9a6baf718f22984b5c5332afff0da90" title="サブセット型のメソッドを示すシンボル.">Msubset</a> ならば、値は長さ 1 の plist であり、その値はこの文字セットの上位集合となる文字セットを示すシンボルである。</p>
<p>メソッドが <a class="el" href="group__m17nCharset.html#gadb08660f5913095d985cfbbd1a51b0bb" title="スーパーセット型のメソッドを示すシンボル.">Msuperset</a> ならば、値は長さ 8 以下の plist であり、それらの値はこの文字セットの下位集合である文字セットを示すシンボルである。</p>
<p>そうでなければ、このパラメータは無視される。</p>
<p class="endli"></p>
</li>
<li>
<p class="startli">キーが <b>Mdefine_coding</b> で値がシンボルの時</p>
<p>文字セットの次元が 1 ならば、値が <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> 以外の場合に <a class="el" href="group__m17nCharset.html#ga45426542709f174689a06ce7c34a37de" title="シンボル Mcharset.">Mcharset</a> 型 で同じ名前を持つコード系を定義する。</p>
<p>そうでなければ、このパラメータは無視される。</p>
<p class="endli"></p>
</li>
</ul>
<dl class="user"><dt><b>戻り値: </b></dt><dd>処理が成功すれば、mchar_define_charset() は <b>name</b> という名前のシンボルを返す。そうでなければ <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> を返し、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_CHARSET</code> </dd></dl>

</div>
</div>
<a class="anchor" id="gaf8f077d7d45aaf0a68a3b638c24043fc"></a><!-- doxytag: member="charset.c::mchar_resolve_charset" ref="gaf8f077d7d45aaf0a68a3b638c24043fc" args="(MSymbol symbol)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> mchar_resolve_charset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>symbol</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>文字セット名を解決する. </p>
<p>関数 <a class="el" href="group__m17nCharset.html#gaf8f077d7d45aaf0a68a3b638c24043fc" title="文字セット名を解決する.">mchar_resolve_charset()</a> は <b>symbol</b> が文字セットを示していればそれを返す。</p>
<p>そうでなければ、<b>symbol</b> を文字セット名として正規化し、それが文字セットを示していていれば正規化したものを返す。 そうでなければ、<a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> を返す。 </p>

</div>
</div>
<a class="anchor" id="ga9ffc490ec2ef0fb0509f09d161de6b85"></a><!-- doxytag: member="charset.c::mchar_list_charset" ref="ga9ffc490ec2ef0fb0509f09d161de6b85" args="(MSymbol **symbols)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mchar_list_charset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> **&nbsp;</td>
          <td class="paramname"> <em>symbols</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>文字セットを表わすシンボルを列挙する. </p>
<p>関数 mchar_list_charsets() は、文字セットを示すシンボルを並べた配列を作り、<b>symbols</b> でポイントされた場所にこの配列へのポインタを置き、配列の長さを返す。 </p>

</div>
</div>
<a class="anchor" id="gac1a030a59290d16200818056943e93cd"></a><!-- doxytag: member="charset.c::mchar_decode" ref="gac1a030a59290d16200818056943e93cd" args="(MSymbol charset_name, unsigned code)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mchar_decode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>charset_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>code</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>コードポイントをデコードする. </p>
<p>関数 <a class="el" href="group__m17nCharset.html#gac1a030a59290d16200818056943e93cd" title="コードポイントをデコードする.">mchar_decode()</a> は、シンボル <b>charset_name</b> で示される文字セット内の <b>code</b> というコードポイントをデコードして文字コードを得る。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>デコードが成功すれば、mchar_decode() はデコードされた文字コードを返す。 そうでなければ -1 を返す。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nCharset.html#gae199b17a440f6e1d669e60a77df87e6a" title="文字コードをエンコードする.">mchar_encode()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gae199b17a440f6e1d669e60a77df87e6a"></a><!-- doxytag: member="charset.c::mchar_encode" ref="gae199b17a440f6e1d669e60a77df87e6a" args="(MSymbol charset_name, int c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned mchar_encode </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>charset_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>c</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>文字コードをエンコードする. </p>
<p>関数 <a class="el" href="group__m17nCharset.html#gae199b17a440f6e1d669e60a77df87e6a" title="文字コードをエンコードする.">mchar_encode()</a> は、文字コード <b>c</b> をエンコードしてシンボル <b>charset_name</b> で示される文字セット内におけるコードポイントを得る。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>エンコードが成功すれば、mchar_encode() はエンードされたコードポイントを返す。 そうでなければ <a class="el" href="group__m17nCharset.html#gaed3feae2f280e7413725a5090175591a" title="無効なコードポイント.">MCHAR_INVALID_CODE</a> を返す。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nCharset.html#gac1a030a59290d16200818056943e93cd" title="コードポイントをデコードする.">mchar_decode()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gad218c3916b17c1f42769e2316a6aa557"></a><!-- doxytag: member="charset.c::mchar_map_charset" ref="gad218c3916b17c1f42769e2316a6aa557" args="(MSymbol charset_name, void(*func)(int from, int to, void *arg), void *func_arg)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mchar_map_charset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>charset_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void(*)(int from, int to, void *arg)&nbsp;</td>
          <td class="paramname"> <em>func</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>func_arg</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>指定した文字セットのすべての文字に対して関数を呼ぶ. </p>
<p>関数 mcharset_map_chars() は <b>charset_name</b> という名前を持つ文字セット中のすべての文字に対して <b>func</b> を呼ぶ。 呼び出しは一文字毎ではなく、連続した文字のまとまり単位で行なわれる。</p>
<p>関数 <b>func</b> には<b>from</b>, <b>to</b>, <b>arg</b> の３引数が渡される。<b>from</b> と <b>to</b> は <b>charset</b> 中の文字コードの範囲を指定する。<b>arg</b> は <b>func_arg</b> と同じである。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理に成功すれば mcharset_map_chars() は 0 を返す。 そうでなければ -1 を返し、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。</dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_CHARSET</code> </dd></dl>

</div>
</div>
<hr/><h2>変数</h2>
<a class="anchor" id="ga01281aed6d1604db0c98ac17c64b22e3"></a><!-- doxytag: member="charset.c::Mcharset_ascii" ref="ga01281aed6d1604db0c98ac17c64b22e3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#ga01281aed6d1604db0c98ac17c64b22e3">Mcharset_ascii</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ASCII 文字セットを表現するシンボル. </p>
<p>シンボル <a class="el" href="group__m17nCharset.html#ga01281aed6d1604db0c98ac17c64b22e3" title="ASCII 文字セットを表現するシンボル.">Mcharset_ascii</a> は <code>"ascii"</code> という名前を持ち、 ISO 646, USA Version X3.4-1968 (ISO-IR-6) 文字セットを表現する。 </p>

</div>
</div>
<a class="anchor" id="ga9f7fa705b5a9329979b6f7dba5b33fef"></a><!-- doxytag: member="charset.c::Mcharset_iso_8859_1" ref="ga9f7fa705b5a9329979b6f7dba5b33fef" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#ga9f7fa705b5a9329979b6f7dba5b33fef">Mcharset_iso_8859_1</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ISO/IEC 8859-1:1998 文字セットを表現するシンボル. </p>
<p>シンボル <a class="el" href="group__m17nCharset.html#ga9f7fa705b5a9329979b6f7dba5b33fef" title="ISO/IEC 8859-1:1998 文字セットを表現するシンボル.">Mcharset_iso_8859_1</a> は <code>"iso-8859-1"</code> という名前を持ち、ISO/IEC 8859-1:1998 文字セットを表現する。 </p>

</div>
</div>
<a class="anchor" id="ga9a9826645fbd6d8cbc8dade0a05d93ca"></a><!-- doxytag: member="charset.c::Mcharset_unicode" ref="ga9a9826645fbd6d8cbc8dade0a05d93ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#ga9a9826645fbd6d8cbc8dade0a05d93ca">Mcharset_unicode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unicode 文字セットを表現するシンボル. </p>
<p>シンボル <a class="el" href="group__m17nCharset.html#ga9a9826645fbd6d8cbc8dade0a05d93ca" title="Unicode 文字セットを表現するシンボル.">Mcharset_unicode</a> は <code>"unicode"</code> という名前を持ち、Unicode 文字セットを表現する。 </p>

</div>
</div>
<a class="anchor" id="gae9d2842894a69850db2bfba1e7003938"></a><!-- doxytag: member="charset.c::Mcharset_m17n" ref="gae9d2842894a69850db2bfba1e7003938" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gae9d2842894a69850db2bfba1e7003938">Mcharset_m17n</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>全文字を含む文字セットを表現するシンボル. </p>
<p>シンボル <a class="el" href="group__m17nCharset.html#gae9d2842894a69850db2bfba1e7003938" title="全文字を含む文字セットを表現するシンボル.">Mcharset_m17n</a> は <code>"m17n"</code> という名前を持ち、 m17n ライブラリが扱う全ての文字を含む文字セットを表現する。 </p>

</div>
</div>
<a class="anchor" id="gaada84095266aedae3aed95ae942c47a0"></a><!-- doxytag: member="charset.c::Mcharset_binary" ref="gaada84095266aedae3aed95ae942c47a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gaada84095266aedae3aed95ae942c47a0">Mcharset_binary</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>正しくデコードできない文字の文字セットを表現するシンボル. </p>
<p>シンボル <a class="el" href="group__m17nCharset.html#gaada84095266aedae3aed95ae942c47a0" title="正しくデコードできない文字の文字セットを表現するシンボル...">Mcharset_binary</a> は <code>"binary"</code> という名前を持ち、偽の (fake) 文字セットを表現する。 デコード関数は、M-text のテキストプロパティとして、無効なバイト（シークエンス）に遭遇した位置を付加する。</p>
<p>詳細は <a class="el" href="group__m17nConv.html">コード変換</a> 参照のこと。 </p>

</div>
</div>
<a class="anchor" id="gae4f12e8c6f7383fc7c05388185ad7795"></a><!-- doxytag: member="charset.c::Mmethod" ref="gae4f12e8c6f7383fc7c05388185ad7795" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gae4f12e8c6f7383fc7c05388185ad7795">Mmethod</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga26a7745dfcd4b7e75ba08b006a94205b"></a><!-- doxytag: member="charset.c::Mdimension" ref="ga26a7745dfcd4b7e75ba08b006a94205b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#ga26a7745dfcd4b7e75ba08b006a94205b">Mdimension</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga290793cbf5b9e6aa96cce8e12e01af29"></a><!-- doxytag: member="charset.c::Mmin_range" ref="ga290793cbf5b9e6aa96cce8e12e01af29" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#ga290793cbf5b9e6aa96cce8e12e01af29">Mmin_range</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gad01176e5eeb7ee45fc3b144aa0393ccd"></a><!-- doxytag: member="charset.c::Mmax_range" ref="gad01176e5eeb7ee45fc3b144aa0393ccd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gad01176e5eeb7ee45fc3b144aa0393ccd">Mmax_range</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga002a4010b574d5b09e33281634c2b058"></a><!-- doxytag: member="charset.c::Mmin_code" ref="ga002a4010b574d5b09e33281634c2b058" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#ga002a4010b574d5b09e33281634c2b058">Mmin_code</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga71d715404e85831b2be9c1bb4044d1c7"></a><!-- doxytag: member="charset.c::Mmax_code" ref="ga71d715404e85831b2be9c1bb4044d1c7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#ga71d715404e85831b2be9c1bb4044d1c7">Mmax_code</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga7c88134db9c464946410a44ae32969c5"></a><!-- doxytag: member="charset.c::Mascii_compatible" ref="ga7c88134db9c464946410a44ae32969c5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#ga7c88134db9c464946410a44ae32969c5">Mascii_compatible</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga6fe1a313c304442d884f1dcefad262f0"></a><!-- doxytag: member="charset.c::Mfinal_byte" ref="ga6fe1a313c304442d884f1dcefad262f0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#ga6fe1a313c304442d884f1dcefad262f0">Mfinal_byte</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gaa971af170d28beb8e9ffca53e03f2233"></a><!-- doxytag: member="charset.c::Mrevision" ref="gaa971af170d28beb8e9ffca53e03f2233" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gaa971af170d28beb8e9ffca53e03f2233">Mrevision</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gac519cab6fd5381b289b54f9bc3f5614f"></a><!-- doxytag: member="charset.c::Mmin_char" ref="gac519cab6fd5381b289b54f9bc3f5614f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gac519cab6fd5381b289b54f9bc3f5614f">Mmin_char</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gac7f334207f0907557e1805f327be2c0a"></a><!-- doxytag: member="charset.c::Mmapfile" ref="gac7f334207f0907557e1805f327be2c0a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gac7f334207f0907557e1805f327be2c0a">Mmapfile</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gab8f3c2a0d58caa179931151fa64e5eb0"></a><!-- doxytag: member="charset.c::Mparents" ref="gab8f3c2a0d58caa179931151fa64e5eb0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gab8f3c2a0d58caa179931151fa64e5eb0">Mparents</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gafcc44fe2009682c71b47f6157f07b85c"></a><!-- doxytag: member="charset.c::Msubset_offset" ref="gafcc44fe2009682c71b47f6157f07b85c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gafcc44fe2009682c71b47f6157f07b85c">Msubset_offset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gad98a8b772b9e851ae2920c5d7ed7c706"></a><!-- doxytag: member="charset.c::Mdefine_coding" ref="gad98a8b772b9e851ae2920c5d7ed7c706" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gad98a8b772b9e851ae2920c5d7ed7c706">Mdefine_coding</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga150e01319257d2b8e82952baf4fbb16d"></a><!-- doxytag: member="charset.c::Maliases" ref="ga150e01319257d2b8e82952baf4fbb16d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#ga150e01319257d2b8e82952baf4fbb16d">Maliases</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga7a86139a02caa1fba4cc46985b76c71b"></a><!-- doxytag: member="charset.c::Moffset" ref="ga7a86139a02caa1fba4cc46985b76c71b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#ga7a86139a02caa1fba4cc46985b76c71b">Moffset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>オフセット型のメソッドを示すシンボル. </p>
<p>シンボル <a class="el" href="group__m17nCharset.html#ga7a86139a02caa1fba4cc46985b76c71b" title="オフセット型のメソッドを示すシンボル.">Moffset</a> は <code>"offset"</code> という名前を持ち、文字セットの <b>Mmethod</b> パラメータの値として用いられた場合には、コードポイントと文字セットの文字コードの間の変換が以下の式に従って行われることを意味する。</p>
<div class="fragment"><pre class="fragment">
文字コード = コードポイント - MIN-CODE + MIN-CHAR
</pre></div><p>ここで、MIN-CODE は文字セットの <b>Mmin_code</b> パラメータの値であり、MIN-CHAR は <b>Mmin_char</b> パラメータの値である。 </p>

</div>
</div>
<a class="anchor" id="gaa774b1759de6142d26ffe8d5898c3874"></a><!-- doxytag: member="charset.c::Mmap" ref="gaa774b1759de6142d26ffe8d5898c3874" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gaa774b1759de6142d26ffe8d5898c3874">Mmap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>マップ型のメソッドを示すシンボル. </p>
<p>シンボル <a class="el" href="group__m17nCharset.html#gaa774b1759de6142d26ffe8d5898c3874" title="マップ型のメソッドを示すシンボル.">Mmap</a> は <code>"map"</code> という名前を持ち、文字セットの <b>Mmethod</b> パラメータの値として用いられた場合には、コードポイントと文字セットの文字コードの間の変換がマップを参照することによって行われることを意味する。 マップは <b>Mmapfile</b> パラメータとして与えなければならない。 </p>

</div>
</div>
<a class="anchor" id="gadd42d3be420b71333a771b05e4e5b6eb"></a><!-- doxytag: member="charset.c::Munify" ref="gadd42d3be420b71333a771b05e4e5b6eb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gadd42d3be420b71333a771b05e4e5b6eb">Munify</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ユニファイ型のメソッドを示すシンボル. </p>
<p>シンボル <a class="el" href="group__m17nCharset.html#gadd42d3be420b71333a771b05e4e5b6eb" title="ユニファイ型のメソッドを示すシンボル.">Munify</a> は <code>"unify"</code> という名前を持ち、文字セットの <b>Mmethod</b> パラメータの値として用いられた場合には、コードポイントと文字セットの文字コードの間の変換が、マップの参照とオフセットの組み合わせによって行われることを意味する。 マップは <b>Mmapfile</b> パラメータとして与えなければならない。 この種の各文字セットには、全文字に対して連続するコードスペースがそれぞれ割り当てられる。</p>
<p>コードポイントがマップに含まれていれば、変換はマップ参照によって行われる。 そうでなければ、以下の式に従う。</p>
<div class="fragment"><pre class="fragment">
CHARACTER-CODE = CODE-POINT - MIN-CODE + LOWEST-CHAR-CODE
</pre></div><p>ここで、MIN-CODE は文字セットの <b>Mmin_code</b> パラメータの値であり、 LOWEST-CHAR-CODE は割り当てられたコードスペースの最も小さい文字コードである。 </p>

</div>
</div>
<a class="anchor" id="gaf9a6baf718f22984b5c5332afff0da90"></a><!-- doxytag: member="charset.c::Msubset" ref="gaf9a6baf718f22984b5c5332afff0da90" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gaf9a6baf718f22984b5c5332afff0da90">Msubset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>サブセット型のメソッドを示すシンボル. </p>
<p>シンボル <a class="el" href="group__m17nCharset.html#gaf9a6baf718f22984b5c5332afff0da90" title="サブセット型のメソッドを示すシンボル.">Msubset</a> は <code>"subset"</code> という名前を持ち、文字セットの <b>Mmethod</b> パラメータの値として用いられた場合には、この文字セットが別の文字セット（親文字セット）の部分集合であることを意味する。 親文字セットは <b>Mparents</b> パラメータによって与えられなくてはならない。 コードポイントと文字セットの文字コードの間の変換は、概念的には以下の式に従う。</p>
<div class="fragment"><pre class="fragment">
CHARACTER-CODE = PARENT-CODE (CODE-POINT) + SUBSET-OFFSET
</pre></div><p>ここで PARENT-CODE は CODE-POINT の親文字セット中での文字コードを返す擬関数であり、SUBSET-OFFSET は <b>Msubset_offset</b> パラメータで与えられる値である。 </p>

</div>
</div>
<a class="anchor" id="gadb08660f5913095d985cfbbd1a51b0bb"></a><!-- doxytag: member="charset.c::Msuperset" ref="gadb08660f5913095d985cfbbd1a51b0bb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#gadb08660f5913095d985cfbbd1a51b0bb">Msuperset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>スーパーセット型のメソッドを示すシンボル. </p>
<p>シンボル <a class="el" href="group__m17nCharset.html#gadb08660f5913095d985cfbbd1a51b0bb" title="スーパーセット型のメソッドを示すシンボル.">Msuperset</a> は <code>"superset"</code> という名前を持ち、文字セットの <b>Mmethod</b> パラメータの値として用いられた場合には、この文字セットが別の文字セット（親文字セット）の上位集合であることを意味する。 親文字セットは <b>Mparents</b> パラメータによって与えられなくてはならない。 </p>

</div>
</div>
<a class="anchor" id="ga45426542709f174689a06ce7c34a37de"></a><!-- doxytag: member="database.c::Mcharset" ref="ga45426542709f174689a06ce7c34a37de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nCharset.html#ga45426542709f174689a06ce7c34a37de">Mcharset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>シンボル <code>Mcharset</code>. </p>
<p>デコードされた M-text は、キーが <code>Mcharset</code> であるようなテキストプロパティを持つ。 シンボル <code>Mcharset</code> は <code>"charset"</code> という名前を持つ。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
